#691 closed defect (fixed)

gen405 has linkcmds buglet

Reported by: Gene Smith Owned by: Joel Sherrill
Priority: highest Milestone: 2
Component: bsps Version: unknown
Severity: critical Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

Without the following patch, the memory layout is incorrect.

--- linkcmds 2003-12-16 17:16:40.000000000 -0500
+++ linkcmds-fixed 2004-10-15 13:04:23.000000000 -0400
@@ -145,7 +145,6 @@

PROVIDE(_heap_end = heap.end);
/* reserve 64KByte for stack... */
stack.end = heap.end + 64K;

  • PROVIDE(_end = stack.end);


.line 0 : { *(.line) }
.debug 0 : { *(.debug) }

Release:
unknown

Change History (1)

comment:1 Changed on Oct 15, 2004 at 6:31:10 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied to 4.6 branch and trunk.

Note: See TracTickets for help on using tickets.